commoble.exmachina.util

## Class DirectionHelper

- java.lang.Object
- - commoble.exmachina.util.DirectionHelper

    public class DirectionHelper
    extends java.lang.Object

### Field Summary

Fields
`static net.minecraft.util.Direction` `D`
`static net.minecraft.util.Direction` `E`
`static net.minecraft.util.Direction` `N`
`static net.minecraft.util.Direction[]` `OPPOSITES`
`static net.minecraft.util.Direction.Axis[][]` `ORTHAGONAL_AXES`
`static net.minecraft.util.Direction[][]` `ORTHAGONAL_ROTATION_TABLE`
`static net.minecraft.util.Direction[]` `ROTATE_X_DNUS`
`static net.minecraft.util.Direction[]` `ROTATE_X_DSUN`
`static net.minecraft.util.Direction[]` `ROTATE_Y_NESW`
`static net.minecraft.util.Direction[]` `ROTATE_Y_NWSE`
`static net.minecraft.util.Direction[]` `ROTATE_Z_DEUW`
`static net.minecraft.util.Direction[]` `ROTATE_Z_DWUE`
`static net.minecraft.util.Direction[][][]` `ROTATION_TABLE` Indices are direction indices: [from][to][toRotate]
`static net.minecraft.util.Direction` `S`
`static net.minecraft.util.Direction[]` `SAMES`
`static net.minecraft.util.Direction` `U`
`static net.minecraft.util.Direction` `W`

### Constructor Summary

Constructors
Constructor and Description
`DirectionHelper()`

### Method Summary

All Methods Static Methods Concrete Methods
`static net.minecraft.util.Direction` `getRotatedDirection(net.minecraft.util.Direction from, net.minecraft.util.Direction to, net.minecraft.util.Direction toRotate)` Given two directions and a third, applies the rotation-of-the-first-direction-to-the-second to the third direction

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### D

    public static final net.minecraft.util.Direction D

#### U

    public static final net.minecraft.util.Direction U

#### N

    public static final net.minecraft.util.Direction N

#### S

    public static final net.minecraft.util.Direction S

#### W

    public static final net.minecraft.util.Direction W

#### E

    public static final net.minecraft.util.Direction E

#### SAMES

    public static final net.minecraft.util.Direction[] SAMES

#### OPPOSITES

    public static final net.minecraft.util.Direction[] OPPOSITES

#### ROTATE_X_DNUS

    public static final net.minecraft.util.Direction[] ROTATE_X_DNUS

#### ROTATE_X_DSUN

    public static final net.minecraft.util.Direction[] ROTATE_X_DSUN

#### ROTATE_Y_NESW

    public static final net.minecraft.util.Direction[] ROTATE_Y_NESW

#### ROTATE_Y_NWSE

    public static final net.minecraft.util.Direction[] ROTATE_Y_NWSE

#### ROTATE_Z_DWUE

    public static final net.minecraft.util.Direction[] ROTATE_Z_DWUE

#### ROTATE_Z_DEUW

    public static final net.minecraft.util.Direction[] ROTATE_Z_DEUW

#### ORTHAGONAL_AXES

    public static final net.minecraft.util.Direction.Axis[][] ORTHAGONAL_AXES

#### ORTHAGONAL_ROTATION_TABLE

    public static final net.minecraft.util.Direction[][] ORTHAGONAL_ROTATION_TABLE

#### ROTATION_TABLE

    public static final net.minecraft.util.Direction[][][] ROTATION_TABLE

Indices are direction indices: [from][to][toRotate]

### Constructor Detail

#### DirectionHelper

    public DirectionHelper()

### Method Detail

#### getRotatedDirection

    public static net.minecraft.util.Direction getRotatedDirection(net.minecraft.util.Direction from,
                                                                   net.minecraft.util.Direction to,
                                                                   net.minecraft.util.Direction toRotate)

Given two directions and a third, applies the rotation-of-the-first-direction-to-the-second to the third direction

Parameters:
  `from` - Starting direction of the reference operation
  `to` - Final direction of the reference operation
  `toRotate` - Direction to apply the reference operation to
Returns:
  The direction we get after we apply the reference rotation to toRotate